Bug 22946 - Markup error in OPAC search results around selection links
Summary: Markup error in OPAC search results around selection links
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-05-21 12:23 UTC by Owen Leonard
Modified: 2019-07-19 18:46 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 22946: Markup error in OPAC search results around selection links (3.06 KB, patch)
2019-05-21 14:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22946: Markup error in OPAC search results around selection links (3.12 KB, patch)
2019-06-21 04:03 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 22946: Markup error in OPAC search results around selection links (3.21 KB, patch)
2019-06-21 10:24 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-21 12:23:25 UTC
There is a markup error in opac-results.tt which triggers HTML validation errors:

 - "Element div not allowed as child of element span in this context."
Comment 1 Owen Leonard 2019-05-21 14:06:17 UTC
Created attachment 89942 [details] [review]
Bug 22946: Markup error in OPAC search results around selection links

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, make sure holds and/or tags are enabled in the
OPAC. Perform a search in the OPAC which will return multiple results.
Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "Element div not allowed as child of element span in this context."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.
Comment 2 M. Tompsett 2019-06-21 04:00:23 UTC
Had to TagsInputOnList 'Allow'.
Comment 3 M. Tompsett 2019-06-21 04:03:00 UTC
Created attachment 90867 [details] [review]
Bug 22946: Markup error in OPAC search results around selection links

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, make sure holds and/or tags are enabled in the
OPAC. Perform a search in the OPAC which will return multiple results.
Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "Element div not allowed as child of element span in this context."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 M. Tompsett 2019-06-21 04:03:32 UTC
This fixes the two div errors, as expected.
Comment 5 Marcel de Rooy 2019-06-21 10:24:05 UTC
Created attachment 90888 [details] [review]
Bug 22946: Markup error in OPAC search results around selection links

This patch makes minor corrections to the template for OPAC search
results. These corrections fix errors returned by the HTML validator.

To reproduce the problem, make sure holds and/or tags are enabled in the
OPAC. Perform a search in the OPAC which will return multiple results.
Run the page through the W3C validation service:
https://validator.w3.org. Either by pasting in the URL for the search
results (if web accessible) or by viewing source, copying, and pasting
into "Validate by Direct Input."

This patch addresses one specific error:

 - "Element div not allowed as child of element span in this context."

To test, apply the patch and try again to reproduce the validation
errors. Those errors should no longer be present. There should be no
visible change to the search results view.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Martin Renvoize 2019-06-21 12:13:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-07-16 06:28:18 UTC
Pushed to 19.05.x for 19.05.02
Comment 8 Lucas Gass 2019-07-19 18:46:49 UTC
backported to 18.11.x for 18.11.08